Bug 2175800 - [abrt] gnome-control-center: cc_display_config_manager_get_night_light_supported(): gnome-control-center killed by SIGSEGV
Summary: [abrt] gnome-control-center: cc_display_config_manager_get_night_light_suppor...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-control-center
Version: 38
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: GNOME SIG Unassigned
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ecd4070d9a1f1b30272350822cd...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-03-06 15:02 UTC by Kamil Páral
Modified: 2024-05-21 14:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-05-21 14:29:31 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: proc_pid_status (1.41 KB, text/plain)
2023-03-06 15:03 UTC, Kamil Páral
no flags Details
File: maps (3.97 KB, text/plain)
2023-03-06 15:03 UTC, Kamil Páral
no flags Details
File: limits (1.29 KB, text/plain)
2023-03-06 15:03 UTC, Kamil Páral
no flags Details
File: environ (2.42 KB, text/plain)
2023-03-06 15:03 UTC, Kamil Páral
no flags Details
File: open_fds (6.25 KB, text/plain)
2023-03-06 15:03 UTC, Kamil Páral
no flags Details
File: mountinfo (3.86 KB, text/plain)
2023-03-06 15:03 UTC, Kamil Páral
no flags Details
File: os_info (756 bytes, text/plain)
2023-03-06 15:03 UTC, Kamil Páral
no flags Details
File: cpuinfo (2.78 KB, text/plain)
2023-03-06 15:03 UTC, Kamil Páral
no flags Details
File: core_backtrace (111.10 KB, text/plain)
2023-03-06 15:03 UTC, Kamil Páral
no flags Details
File: exploitable (81 bytes, text/plain)
2023-03-06 15:03 UTC, Kamil Páral
no flags Details
File: backtrace (215.51 KB, text/plain)
2023-03-06 15:03 UTC, Kamil Páral
no flags Details
File: backtrace (144.97 KB, text/plain)
2023-03-19 00:00 UTC, Michael D
no flags Details

Description Kamil Páral 2023-03-06 15:02:57 UTC
Description of problem:
Settings crashed while organizing my dual displays.

Version-Release number of selected component:
gnome-control-center-44~beta-3.fc38

Additional info:
reporter:       libreport-2.17.8
type:           CCpp
reason:         gnome-control-center killed by SIGSEGV
journald_cursor: s=f14ac85b1ea64de087f79c5fe57e0ea5;i=12a8ea;b=cdbd1bf69de04d41a66d144057234d85;m=1a93436d4;t=5f63c91943375;x=6e9738e3bbc05e72
executable:     /usr/bin/gnome-control-center
cmdline:        /usr/bin/gnome-control-center
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/app-gnome-org.gnome.Settings-63112.scope
rootdir:        /
uid:            1000
kernel:         6.2.2-300.fc38.x86_64
package:        gnome-control-center-44~beta-3.fc38
runlevel:       N 5
dso_list:       /usr/bin/gnome-control-center gnome-control-center-44~beta-3.fc38.x86_64 (Fedora Project) 1678091553
backtrace_rating: 4
crash_function: cc_display_config_manager_get_night_light_supported
comment:        Settings crashed while organizing my dual displays.

Truncated backtrace:
Thread no. 1 (13 frames)
 #0 cc_display_config_manager_get_night_light_supported at ../panels/display/cc-display-config-manager.c:72
 #1 dialog_update_state at ../panels/display/cc-night-light-page.c:175
 #3 signal_emit_unlocked_R.isra.0 at ../gobject/gsignal.c:3802
 #6 _cc_display_config_manager_emit_changed at ../panels/display/cc-display-config-manager.c:54
 #7 got_current_state at ../panels/display/cc-display-config-manager-dbus.c:83
 #8 g_task_return_now at ../gio/gtask.c:1309
 #9 g_task_return at ../gio/gtask.c:1378
 #11 g_dbus_connection_call_done at ../gio/gdbusconnection.c:5877
 #12 g_task_return_now at ../gio/gtask.c:1309
 #13 complete_in_idle_cb at ../gio/gtask.c:1323
 #17 g_main_context_iterate.isra.0 at ../glib/gmain.c:4276
 #18 g_main_context_iteration at ../glib/gmain.c:4343
 #19 g_application_run at ../gio/gapplication.c:2573


Potential duplicate: bug {crossver_id}

Comment 1 Kamil Páral 2023-03-06 15:03:00 UTC
Created attachment 1948391 [details]
File: proc_pid_status

Comment 2 Kamil Páral 2023-03-06 15:03:02 UTC
Created attachment 1948392 [details]
File: maps

Comment 3 Kamil Páral 2023-03-06 15:03:04 UTC
Created attachment 1948393 [details]
File: limits

Comment 4 Kamil Páral 2023-03-06 15:03:05 UTC
Created attachment 1948394 [details]
File: environ

Comment 5 Kamil Páral 2023-03-06 15:03:06 UTC
Created attachment 1948395 [details]
File: open_fds

Comment 6 Kamil Páral 2023-03-06 15:03:08 UTC
Created attachment 1948396 [details]
File: mountinfo

Comment 7 Kamil Páral 2023-03-06 15:03:10 UTC
Created attachment 1948397 [details]
File: os_info

Comment 8 Kamil Páral 2023-03-06 15:03:12 UTC
Created attachment 1948398 [details]
File: cpuinfo

Comment 9 Kamil Páral 2023-03-06 15:03:14 UTC
Created attachment 1948399 [details]
File: core_backtrace

Comment 10 Kamil Páral 2023-03-06 15:03:15 UTC
Created attachment 1948400 [details]
File: exploitable

Comment 11 Kamil Páral 2023-03-06 15:03:18 UTC
Created attachment 1948401 [details]
File: backtrace

Comment 12 Michael D 2023-03-19 00:00:25 UTC
Using the desktop on 4k 160hz


reporter:       libreport-2.17.8
type:           CCpp
reason:         gnome-control-center killed by SIGSEGV
journald_cursor: s=53317b0c8f254ecf8646b4276f4e3170;i=1b118;b=b03362c1da884d75afa0eda6065d8400;m=9ed0bf06;t=5f7352983aa88;x=d4031bad22c72c54
executable:     /usr/bin/gnome-control-center
cmdline:        /usr/bin/gnome-control-center
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/app-gnome-org.gnome.Settings-13791.scope
rootdir:        /
uid:            1000
kernel:         6.2.6-300.fc38.x86_64
package:        gnome-control-center-44~rc-1.fc38
runlevel:       N 5
comment:        Using the desktop on 4k 160hz
backtrace_rating: 4
crash_function: cc_display_config_manager_get_night_light_supported

Comment 13 Michael D 2023-03-19 00:00:27 UTC
Created attachment 1951724 [details]
File: backtrace

Comment 14 Michael Vorburger.ch 2023-04-01 02:03:03 UTC
This was on a Lenovo ThinkPad X1 Yoga when I flipped it around into tablet mode!


reporter:       libreport-2.17.9
type:           CCpp
reason:         gnome-control-center killed by SIGSEGV
journald_cursor: s=3b717f0161934432bf4e4a6eeacd0888;i=6daa;b=890a0c587785484ca29919f895381bb7;m=22dc8747b;t=5f83cab505740;x=d99eee8bb56d1238
executable:     /usr/bin/gnome-control-center
cmdline:        /usr/bin/gnome-control-center power
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/app-gnome-gnome\x2dpower\x2dpanel-19757.scope
rootdir:        /
uid:            1000
kernel:         6.2.8-300.fc38.x86_64
package:        gnome-control-center-44.0-1.fc38
runlevel:       N 5
dso_list:       /usr/bin/gnome-control-center gnome-control-center-44.0-1.fc38.x86_64 (Fedora Project) 1680302870
backtrace_rating: 4
crash_function: cc_display_config_manager_get_night_light_supported
comment:        This was on a Lenovo ThinkPad X1 Yoga when I flipped it around into tablet mode!

Comment 15 jesselgreenfield 2023-04-09 15:06:41 UTC
Came back after computer went to sleep.  Error popped up.


reporter:       libreport-2.17.9
type:           CCpp
reason:         gnome-control-center killed by SIGSEGV
journald_cursor: s=fb8f0b9f3f9c4a5b9c0603736cb42bc5;i=ff4b;b=6de286caaf82469ebfc55782ff0b34e1;m=12bd22cc6;t=5f8e7949d2a9b;x=e430978e21b4a70b
executable:     /usr/bin/gnome-control-center
cmdline:        /usr/bin/gnome-control-center
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/app-gnome-org.gnome.Settings-14447.scope
rootdir:        /
uid:            1000
kernel:         6.2.10-300.fc38.x86_64
package:        gnome-control-center-44.0-1.fc38
runlevel:       N 5
dso_list:       /usr/bin/gnome-control-center gnome-control-center-44.0-1.fc38.x86_64 (Fedora Project) 1680888912
backtrace_rating: 4
crash_function: cc_display_config_manager_get_night_light_supported
comment:        Came back after computer went to sleep.  Error popped up.

Comment 16 IanB 2023-04-12 23:40:59 UTC
I put my laptop into suspend (Gnome power off -> suspend option) and then upon waking from suspend the crash notification appeared


reporter:       libreport-2.17.9
type:           CCpp
reason:         gnome-control-center killed by SIGSEGV
journald_cursor: s=e4181478f689494397667c8de2c26451;i=241ba;b=3e24b55989764234b873aaf080b72e51;m=a85474f0f;t=5f92c03696f03;x=7e9b26a2ae75c479
executable:     /usr/bin/gnome-control-center
cmdline:        /usr/bin/gnome-control-center display
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/dbus-:1.2-org.gnome.Settings.SearchProvider
rootdir:        /
uid:            1000
kernel:         6.2.10-300.fc38.x86_64
package:        gnome-control-center-44.0-1.fc38
runlevel:       N 5
backtrace_rating: 4
crash_function: cc_display_config_manager_get_night_light_supported
comment:        I put my laptop into suspend (Gnome power off -> suspend option) and then upon waking from suspend the crash notification appeared

Comment 17 Robin Tetour 2023-04-19 07:03:33 UTC
Tried to switch from 60hz to 120hz. Problem with i915 probably.


reporter:       libreport-2.17.9
type:           CCpp
reason:         gnome-control-center killed by SIGSEGV
journald_cursor: s=8cf9cfd9308c48019938284ad660ad00;i=4f1af;b=e10b65d7536f4a85bb5c7d120574b05e;m=5f8e6cf;t=5f9aae01c3e5d;x=f9e4cb47e772962d
executable:     /usr/bin/gnome-control-center
cmdline:        /usr/bin/gnome-control-center display
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/app-gnome-gnome\x2ddisplay\x2dpanel-5604.scope
rootdir:        /
uid:            1000
kernel:         6.2.11-300.fc38.x86_64
package:        gnome-control-center-44.0-1.fc38
runlevel:       N 5
dso_list:       /usr/bin/gnome-control-center gnome-control-center-44.0-1.fc38.x86_64 (Fedora Project) 1681886947
backtrace_rating: 4
crash_function: cc_display_config_manager_get_night_light_supported
comment:        Tried to switch from 60hz to 120hz. Problem with i915 probably.

Comment 18 David 2023-04-24 02:24:50 UTC
I have a 6900xt and two 144hz monitors connected via display port

Steps:

Fresh install of Fedora 38
First thing is log in and set up the user account
I right click the desktop, display settings
Take a detour and click appearance tab, change to dark mode
Go back to Displays
Click on my left monitor
Updating the refresh rate from 59hz to 144hz
Screen changes, settings apper to have been applied
Prompt to keep settings is visable, display settings window is gone
Click keep settings
Display settings has crashed


reporter:       libreport-2.17.9
dso_list:       /usr/bin/gnome-control-center gnome-control-center-44.0-1.fc38.x86_64 (Fedora Project) 1681422439
cmdline:        /usr/bin/gnome-control-center display
crash_function: cc_display_config_manager_get_night_light_supported
rootdir:        /
backtrace_rating: 4
kernel:         6.2.11-300.fc38.x86_64
package:        gnome-control-center-44.0-1.fc38
executable:     /usr/bin/gnome-control-center
reason:         gnome-control-center killed by SIGSEGV
cgroup:         0::/user.slice/user-1001.slice/user/app.slice/app-gnome-gnome\x2ddisplay\x2dpanel-12389.scope
journald_cursor: s=9f27527125b44587a367d7f2584ba25e;i=2c00;b=c80457fe90fe4d55b29e6bc4938f7b1d;m=412fffa3;t=5fa0b8b9c739b;x=f53256a16a617087
type:           CCpp
uid:            1001
runlevel:       N 5

Comment 19 Timothy Madden 2023-07-21 22:09:08 UTC
Changed monitor layout and keyboard map on my new installation for Fedora 38


reporter:       libreport-2.17.9
type:           CCpp
reason:         gnome-control-center killed by SIGSEGV
journald_cursor: s=eef810beedca4d63a4d303c2cea5a69f;i=124f;b=69ffc050e4924b84911a5abef880aa06;m=2fd70e6a;t=601061207fc97;x=ffd81d59f1b88ac1
executable:     /usr/bin/gnome-control-center
cmdline:        /usr/bin/gnome-control-center
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/app-gnome-org.gnome.Settings-5215.scope
rootdir:        /
uid:            1000
kernel:         6.2.9-300.fc38.x86_64
package:        gnome-control-center-44.0-1.fc38
runlevel:       N 5
backtrace_rating: 4
crash_function: cc_display_config_manager_get_night_light_supported
comment:        Changed monitor layout and keyboard map on my new installation for Fedora 38

Comment 20 Aoife Moloney 2024-05-07 15:58:36 UTC
This message is a reminder that Fedora Linux 38 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 38 on 2024-05-21.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '38'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version. Note that the version field may be hidden.
Click the "Show advanced fields" button if you do not see it.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 38 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 21 Fedora Admin user for bugzilla script actions 2024-05-07 15:58:42 UTC
This component is maintained by the GNOME project. Issues with it should be reported directly to GNOME at https://gitlab.gnome.org/GNOME/.

This issue should only be kept open if it:

1. Relates to Fedora packaging or integration with other Fedora components
2. Is required for Fedora release processes, such as blocker bugs and freeze exceptions

If this issue isn't needed for either of these two reasons, please:

 * create an issue with GNOME
 * add a link to the GNOME issue here
 * close this issue as CLOSED/UPSTREAM

Thank you!

Comment 22 Aoife Moloney 2024-05-21 14:29:31 UTC
Fedora Linux 38 entered end-of-life (EOL) status on 2024-05-21.

Fedora Linux 38 is no longer maintained, which means that it
will not receive any further security or bug fix updates. As a result we
are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora Linux
please feel free to reopen this bug against that version. Note that the version
field may be hidden. Click the "Show advanced fields" button if you do not see
the version field.

If you are unable to reopen this bug, please file a new report against an
active release.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.